Palladian 1.8, new install, fails "no repository found" for items

#1

Trying to install Palladian 1.8 and getting what appears to be a dependency error. Connection to repository seems to be successful, and failure occurs ~45%.

My current environment:
KNIME 4.0.1
Palladian for KNIME, 1.8.0.201907271536
Repo: http://download.nodepit.com/palladian/4.0

Error message:
An error occurred while collecting items to be installed
session context was:(profile=KNIMEProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,ws.palladian.nodes,1.8.0.201907271536
No repository found containing: osgi.bundle,ws.palladian.nodes.extraction.location.source.geonames,1.0.100.201907271536
No repository found containing: org.eclipse.update.feature,ws.palladian.nodes.feature,1.8.0.201907271536

0 Likes

#2
  1. Are you running behind a corporate firewall or security software which might restrict access to the download site?

  2. Did you simply give it another try after the error?

0 Likes

#3
  1. Good thought. I have not had issues in the past with our corporate firewall, but worth trying on another network.

  2. Yes; multiple times.

0 Likes

#4

See if you have new Palladian site inputted

2 Likes

#5

The update site URL which you posted looks fine, so this should indeed be your next try. We’ve had this issue with some enterprise customers already, so it’s not unlikely that this is also the case in your case.

Good luck, and I’d really appreciate if you could keep me posted.

Best,
Philipp

PS: It’s also worth following this thread.

0 Likes

#6

Tried on another network, one without restrictions, and the same error occurred.

Is there anywhere I can download the extensions manually and install from my local machine?

0 Likes

#7

Did you try installation from Nodepit?

0 Likes

#8

Nodepit instructs to install via KNIME Workbench, from the URL: http://download.nodepit.com/palladian/4.0. When trying to install from the Nodepit extension directly in KNIME Workbench, it adds the aforementioned URL into the Available Software Sites and tries to install from the Install KNIME Extensions menu.

I do not see another way to download the Palladian KNIME nodes manually.

Is there another way I can approach the install?

Thanks to all for the engaged conversation thus far.

0 Likes

#9

Ok, so I’ve just uploaded a zipped update site of the Palladian nodes. It’s available here:

http://download.nodepit.com/palladian/4.0.zip (it’s the same version as available on the corresponding update site)

Due to lack of time, I didn’t double check, if the installation works fine with this. Especially, there’s one potential obstacle which might still cause trouble: Palladian has (currently) a dependency to the KNIME Textprocessing nodes. I.e. when installing Palladian, and the Textprocessing nodes are not installed, KNIME will need to install them as well (they are not included in the zip file, instead they’re available on the KNIME official update site. KNIME resp. Eclipse resp. P2 should be able to figure this out automatically – that’s what I hope :slight_smile: ).

Could you please try whether you can install from this file? (instead of setting a URL, just specify the path to the zip file and then run the installation as normal).

Does this work?

Best,
Philipp

3 Likes

Palladian Nodes for Knime 4.0 - Installation from a local zip file?
#10

:+1: Worked. Thank you.

I cannot comment on the dependency check as I already had the Textprocessing nodes installed.

I was able to drop the Palladian nodes into an existing workflow and load an example workflow with Palladian nodes already in place–all without errors.

Appreciate the responsiveness and community support. Thank you again.

1 Like

#11

Great – thanks to you for the positive feedback!

Cheers,
Philipp

0 Likes

closed #12

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.

0 Likes